import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  procedureCode: SortOrderSchema.optional(),
  procedureDate: SortOrderSchema.optional(),
  quad: SortOrderSchema.optional(),
  arch: SortOrderSchema.optional(),
  toothNumber: SortOrderSchema.optional(),
  toothSurface: SortOrderSchema.optional(),
  icn: SortOrderSchema.optional(),
  paidCode: SortOrderSchema.optional(),
  allowedAmount: SortOrderSchema.optional(),
  totalBilled: SortOrderSchema.optional(),
  totalPaid: SortOrderSchema.optional(),
  totalAdjusted: SortOrderSchema.optional(),
  totalDue: SortOrderSchema.optional(),
  status: SortOrderSchema.optional()
}).strict();
export const ServiceLineMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineMaxOrderByAggregateInput>;
export const ServiceLineMaxOrderByAggregateInputObjectZodSchema = makeSchema();
